Xalan-Java 2.7.1: Class DTMDefaultBaseIterators.TypedSingletonIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.TypedSingletonIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.SingletonIterator
                        |
                        +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedSingletonIterator

public final class DTMDefaultBaseIterators.TypedSingletonIterator
extends DTMDefaultBaseIterators.SingletonIterator

Iterator that returns a given node only if it is of a given type.

Constructor Summary
`DTMDefaultBaseIterators.TypedSingletonIterator(int nodeType)` Constructor TypedSingletonIterator

Method Summary
`int` | `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.SingletonIterator
`reset, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.TypedSingletonIterator

    public DTMDefaultBaseIterators.TypedSingletonIterator(int nodeType)

  Constructor TypedSingletonIterator
  Parameters:
    `nodeType` - The extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.
  Overrides:
    next in class DTMDefaultBaseIterators.SingletonIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.